Skip to main content
DELETE
/
items
/
{itemId}
/
customerPrices
/
{customerId}
/
{fromQuantity}
Delete Item Customer Price
curl --request DELETE \
  --url https://api.jtl-cloud.com/erp/items/{itemId}/customerPrices/{customerId}/{fromQuantity} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "ErrorCode": "<string>",
  "ValidationErrors": {},
  "Errors": {},
  "ErrorMessage": "<string>",
  "Stacktrace": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

api-version
string

Specify the desired API version, e.g. '1.0'. If not provided, the last available version is set.

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

fromQuantity
integer<int32>
required

The quantity for the bulk price

itemId
integer<int32>
required

The id of the item that the customer specific price belongs to.

customerId
integer<int32>
required

The customer Id of the item that the customer specific price belongs to. Represents a unique key for identifying a customer in the JTL system.

Response